QFlightInstruments

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Enumerations Enumerator Macros
Public Member Functions | Protected Member Functions | List of all members
qfi_ASI Class Reference

`#include <qfi_ASI.h>`

Inheritance diagram for qfi_ASI:

## Public Member Functions
| qfi_ASI (QWidget *parent=0)
virtual | ~qfi_ASI ()
void | reinit ()
void | update ()
void | setAirspeed (float airspeed)

## Protected Member Functions
void | resizeEvent (QResizeEvent *event)

## Detailed Description

Airspeed Indicator widget.

## Constructor & Destructor Documentation

qfi_ASI::qfi_ASI | ( | QWidget * | parent = `0` | ) |

Constructor.

qfi_ASI::~qfi_ASI | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

void qfi_ASI::reinit | ( |  | ) |

Reinitiates widget.

void qfi_ASI::resizeEvent | ( | QResizeEvent * | event | ) |
| protected

void qfi_ASI::setAirspeed | ( | float | airspeed | ) |

Parameters

  airspeed | [kts]

void qfi_ASI::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_ASI.h
- qfi_ASI.cpp